Update a project
curl --request POST \
--url https://api.phare.io/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
}
}
'import requests
url = "https://api.phare.io/projects/{projectId}"
payload = {
"name": "Luminous Guiding Tower",
"members": [1, 2, 3],
"settings": {
"use_incident_ai": True,
"use_incident_merging": True,
"incident_merging_time_window": 60
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Luminous Guiding Tower',
members: [1, 2, 3],
settings: {
use_incident_ai: true,
use_incident_merging: true,
incident_merging_time_window: 60
}
})
};
fetch('https://api.phare.io/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Luminous Guiding Tower',
'members' => [
1,
2,
3
],
'settings' => [
'use_incident_ai' => true,
'use_incident_merging' => true,
'incident_merging_time_window' => 60
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/projects/{projectId}"
payload := strings.NewReader("{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}"
response = http.request(request)
puts response.read_body{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"id": 1,
"slug": "luminous-guiding-tower",
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "Record not found."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Projects
Update a project
Update a project by ID, the fields left out keep their current value. A members list replaces the current members.
Requires the projects:write permission.
POST
/
projects
/
{projectId}
Update a project
curl --request POST \
--url https://api.phare.io/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
}
}
'import requests
url = "https://api.phare.io/projects/{projectId}"
payload = {
"name": "Luminous Guiding Tower",
"members": [1, 2, 3],
"settings": {
"use_incident_ai": True,
"use_incident_merging": True,
"incident_merging_time_window": 60
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Luminous Guiding Tower',
members: [1, 2, 3],
settings: {
use_incident_ai: true,
use_incident_merging: true,
incident_merging_time_window: 60
}
})
};
fetch('https://api.phare.io/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Luminous Guiding Tower',
'members' => [
1,
2,
3
],
'settings' => [
'use_incident_ai' => true,
'use_incident_merging' => true,
'incident_merging_time_window' => 60
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/projects/{projectId}"
payload := strings.NewReader("{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Luminous Guiding Tower\",\n \"members\": [\n 1,\n 2,\n 3\n ],\n \"settings\": {\n \"use_incident_ai\": true,\n \"use_incident_merging\": true,\n \"incident_merging_time_window\": 60\n }\n}"
response = http.request(request)
puts response.read_body{
"name": "Luminous Guiding Tower",
"members": [
1,
2,
3
],
"id": 1,
"slug": "luminous-guiding-tower",
"settings": {
"use_incident_ai": true,
"use_incident_merging": true,
"incident_merging_time_window": 60
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "Record not found."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Authorizations
Body
application/json
Project request
Response
Success, project updated
Last modified on February 12, 2026
Was this page helpful?